  <ion-header>
    <ion-toolbar color="ista">
      <ion-buttons slot="secondary">
        <ion-button fill="clear" disabled="true">
          <ion-icon slot="icon-only" name="null"></ion-icon>
        </ion-button>
      </ion-buttons>
      <ion-buttons slot="start">
        <ion-menu-button></ion-menu-button>
      </ion-buttons>
      <ion-title class="ion-text-center">{{titulo}}</ion-title>
    </ion-toolbar>
    <ion-grid>
      <ion-row class="ion-align-items-center">
        <ion-col size="12">
          <ion-toolbar *ngIf="fechaSelected == 1">
            <ion-searchbar placeholder='{{defectSelect}}' animated showcancelbutton="" (ionChange)="buscar($event)">
            </ion-searchbar>
            <ion-buttons slot="primary">
              <ion-button (click)="filtroButton()">
                <ion-icon color="ista" slot="icon-only" name="settings-outline"></ion-icon>
              </ion-button>
            </ion-buttons>
          </ion-toolbar>
          <ion-toolbar *ngIf="fechaSelected == 2">
            <ion-item>
              <ion-label>Escoja una fecha </ion-label>
              <ion-datetime display-format="MMM DD, YYYY" picker-format="MMM DD, YYYY" value="{{fecha}}" animated
                (ionChange)="buscarFecha($event)"></ion-datetime>
            </ion-item>
            <ion-buttons slot="primary">
              <ion-button (click)="filtroButton()">
                <ion-icon color="ista" slot="icon-only" name="settings-outline"></ion-icon>
              </ion-button>
            </ion-buttons>
          </ion-toolbar>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-header>

  <ion-content>

  <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
    <br>
    <ion-refresher-content pullingIcon="chevron-down-outline" pullingText="Deslize para Actualizar"
      refreshingSpinner="crescent" refreshingText="Actualizando"></ion-refresher-content>
  </ion-refresher>

  <ion-list class="ion-activated" *ngFor="let data of ticket  | filtroListaEstadoTickets: textoBusqueda:tipoServicio"
    (click)='detalle(data)'>
    <ion-item>
      <ion-label>
        <h2>Ticket: {{data.codticket}}</h2>
        <h3>Usuario: {{data.usuario.persona.nombres}}</h3>
        <p>Servicio: {{data.servicio.titulo}}</p>
        <p>Fecha: {{data.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</p>
        <p>Estado: {{data.estado.nombreEstado}}</p>
      </ion-label>
      <ion-icon class="icon" *ngIf="data.estado.codEstado == 1" src="./assets/icon/search.svg" color="danger">
      </ion-icon>
      <ion-icon class="icon" *ngIf="data.estado.codEstado == 2 && data.confirmacion == false"
        src="./assets/icon/edit.svg">
      </ion-icon>
      <img class="bell" *ngIf="data.confirmacion == true && data.estado.codEstado == 2" src="./assets/icon/bell.gif"
        color="warning">
      <ion-icon class="icon" *ngIf="data.estado.codEstado == 3" src="./assets/icon/delete.svg" color="danger">
      </ion-icon>
      <ion-icon class="icon" *ngIf="data.estado.codEstado == 4" src="./assets/icon/sinSolucion.svg" color="success">
      </ion-icon>
      <ion-icon class="icon" *ngIf="data.estado.codEstado == 5" src="./assets/icon/verified.svg" color="success">
      </ion-icon>
    </ion-item>
  </ion-list>
  <br>
  <ion-infinite-scroll threshold="10px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content
      loadingSpinner="crescent"
      loadingText="Cargando">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

</ion-content>

<ion-fab vertical="bottom" horizontal="end" slot="fixed">
  <ion-fab-button color="ista">
    <ion-icon md="caret-up"></ion-icon>
  </ion-fab-button>
  <ion-fab-list side="top">
    <ion-fab-button color="light" (click)="selectTipoServicio(1)" data-desc="Incidente">
      <ion-icon class="fabIcon" name="warning"></ion-icon>
    </ion-fab-button>
    <ion-fab-button color="light" (click)="selectTipoServicio(2)" data-desc="Requerimento">
      <ion-icon class="fabIcon" name="document-text"></ion-icon>
    </ion-fab-button>
  </ion-fab-list>
</ion-fab>